### Class

# CloudProviders Collector

#### Description [src]

    final class CloudProviders.Collector : GObject.Object
    {
      /* No available fields */
    }

Singleton for tracking all providers.

This is a singleton to track all the changes in all providers. Using this class, you can implement integration for all of them at once and represent them in the UI, track new providers added or removed and their status.

#### Hierarchy

#### Ancestors

- GObject

#### Functions

###### cloud_providers_collector_dup_singleton

Main object to track changes in all providers.

#### Instance methods

###### cloud_providers_collector_get_providers

Get the list of currently managed providers.

###### cloud_providers_collector_update

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### CloudProviders.Collector::providers-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CloudProvidersCollectorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.